package strefakoderapl.broadcastreceiverexample;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(strefakoderapl.broadcastreceiverexample.R.layout.activity_main);

        final TextView textView = (TextView) findViewById(R.id.textView);

        BroadcastReceiver myReceiver1 = new BroadcastReceiver() {
            public void onReceive(Context context, Intent intent) {
                textView.setText("Telefon jest w trakcie ładowania...");
            }
        };

        BroadcastReceiver myReceiver2 = new BroadcastReceiver() {
            public void onReceive(Context context, Intent intent) {
                textView.setText("Telefon nie jest podłączony do ładowarki...");
            }
        };

        registerReceiver(myReceiver1, new IntentFilter(Intent.ACTION_POWER_CONNECTED));
        registerReceiver(myReceiver2, new IntentFilter(Intent.ACTION_POWER_DISCONNECTED));
    }
}
